Magick++ 6.9.6

Public Member Functions | List of all members
Magick::DrawableCircle Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableCircle:
[legend]
Collaboration diagram for Magick::DrawableCircle:
[legend]

## Public Member Functions
| DrawableCircle (double originX_, double originY_, double perimX_, double perimY_)
| ~DrawableCircle (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | originX (double originX_)
double | originX (void) const
void | originY (double originY_)
double | originY (void) const
void | perimX (double perimX_)
double | perimX (void) const
void | perimY (double perimY_)
double | perimY (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 526 of file Drawable.h.

## Constructor & Destructor Documentation

Magick::DrawableCircle::DrawableCircle | ( | double | originX_,
|  | double | originY_,
|  | double | perimX_,
|  | double | perimY_
| ) |  |
| inline

Definition at line 529 of file Drawable.h.

Magick::DrawableCircle::~DrawableCircle | ( | void |  | ) |

Definition at line 370 of file Drawable.cpp.

## Member Function Documentation

Magick::DrawableBase * Magick::DrawableCircle::copy | ( |  | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 377 of file Drawable.cpp.

void Magick::DrawableCircle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Implements Magick::DrawableBase.

Definition at line 373 of file Drawable.cpp.

void Magick::DrawableCircle::originX | ( | double | originX_ | ) |
| inline

Definition at line 546 of file Drawable.h.

double Magick::DrawableCircle::originX | ( | void |  | ) | const
| inline

Definition at line 550 of file Drawable.h.

void Magick::DrawableCircle::originY | ( | double | originY_ | ) |
| inline

Definition at line 555 of file Drawable.h.

double Magick::DrawableCircle::originY | ( | void |  | ) | const
| inline

Definition at line 559 of file Drawable.h.

void Magick::DrawableCircle::perimX | ( | double | perimX_ | ) |
| inline

Definition at line 564 of file Drawable.h.

double Magick::DrawableCircle::perimX | ( | void |  | ) | const
| inline

Definition at line 568 of file Drawable.h.

void Magick::DrawableCircle::perimY | ( | double | perimY_ | ) |
| inline

Definition at line 573 of file Drawable.h.

double Magick::DrawableCircle::perimY | ( | void |  | ) | const
| inline

Definition at line 577 of file Drawable.h.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp